Skip to main content
curl https://checkout.noxpay.io/v2/balance \
  -H "api-key: <key>"
import requests

response = requests.get(
    "https://checkout.noxpay.io/v2/balance",
    headers={"api-key": "<key>"},
)
print(response.json())
const response = await fetch("https://checkout.noxpay.io/v2/balance", {
  headers: { "api-key": "<key>" },
});
const data = await response.json();
{
  "calculated_BRL_total_balance": 1234.56,
  "balances": {
    "USDT": {
      "calculated_BRL_balance": 500.00,
      "USDT TRC20": {
        "calculated_BRL_balance": 500.00,
        "available": 100.00,
        "in_transit": 10.00,
        "to_receive": 5.00,
        "blocked": 0.00
      }
    },
    "BRL": {
      "calculated_BRL_balance": 734.56,
      "BRL": {
        "calculated_BRL_balance": 734.56,
        "available": 734.56,
        "in_transit": 0.00,
        "to_receive": 0.00,
        "blocked": 0.00
      }
    }
  }
}

Response 200 OK

Response fields

FieldTypeDescription
calculated_BRL_total_balancefloatSum of all balances converted to BRL at current rates
balancesobjectKeyed by currency name, then by network or sub-account

Sub-account buckets

Each currency entry breaks down into four buckets:
FieldDescription
availableImmediately withdrawable
in_transitIn transit while a transaction is being processed
to_receiveExpected to arrive from an ongoing transaction
blockedFrozen for chargebacks or compliance holds
calculated_BRL_balance at the currency level is the BRL-equivalent sum of all sub-accounts for that currency.
curl https://checkout.noxpay.io/v2/balance \
  -H "api-key: <key>"
import requests

response = requests.get(
    "https://checkout.noxpay.io/v2/balance",
    headers={"api-key": "<key>"},
)
print(response.json())
const response = await fetch("https://checkout.noxpay.io/v2/balance", {
  headers: { "api-key": "<key>" },
});
const data = await response.json();
{
  "calculated_BRL_total_balance": 1234.56,
  "balances": {
    "USDT": {
      "calculated_BRL_balance": 500.00,
      "USDT TRC20": {
        "calculated_BRL_balance": 500.00,
        "available": 100.00,
        "in_transit": 10.00,
        "to_receive": 5.00,
        "blocked": 0.00
      }
    },
    "BRL": {
      "calculated_BRL_balance": 734.56,
      "BRL": {
        "calculated_BRL_balance": 734.56,
        "available": 734.56,
        "in_transit": 0.00,
        "to_receive": 0.00,
        "blocked": 0.00
      }
    }
  }
}